### Method

# FwupdPlugin HidDescriptor find_report

#### Declaration [src]

    FuHidReport*
    fu_hid_descriptor_find_report (
      FuHidDescriptor* self,
      GError** error,
      ...
    )

#### Description [src]

Finds the first HID report that matches all the report attributes.

Available since: | 1.9.4
This method is not directly available to language bindings.

#### Parameters

`error` | `GError`
| Optional return location for an error.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`...` | ``
| Pairs of string-integer values, ending with `NULL`.

#### Return value

Returns: | `FuHidReport`
| A `FuHidReport`, or `NULL` if not found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.